/*
 * Copyright 2020-2021 JetBrains s.r.o. and respective authors and developers.
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE.txt file.
 */

package org.jetbrains.compose.web.internal

import org.gradle.api.Project
import org.jetbrains.compose.ComposeExtension
import org.jetbrains.compose.web.WebExtension

internal fun Project.initializeWeb(composeExtension: ComposeExtension) {
    project.plugins.withId("org.jetbrains.kotlin.multiplatform") {
        composeExtension.extensions.create("web", WebExtension::class.java)
    }
}